# Issue-分类

分类诊断一个项目的issue，对于一个跨部门的项目而言，是一种非常重要的方法。分类诊断可以帮助一个issue快速被解决：

* 精确描述一个issue所要表达的内容以及目的。这对于一个需要被解决的问题而言完全是必需的，因为精准的描述与归纳，完全可以降低用户与maintainer，maintainer之间的沟通成本；
* 给maintainer们传递清晰明确的内容，从而帮助maintainer更有针对性的解决issue；
* 降低issue在一个项目中重复的可能性；
* 通过防治重复的讨论来简化开发流程。

如果一位maintainer没有时间来编码，那么请考虑来帮助issue进行分类。公司将极大的赞赏maintainer这样的行为来节省大部分人的时间。

## 1. 确保Issue包含完备的基本信息

分类诊断一个问题之前，请每一个maintainer来确保issue的发起者提供了标砖的足够的基本信息。这将帮助你做出一个充分具有信服力的判断，如何来分类issue。标签的信息**必须**包含以下内容:

* 能重现问题的 **"网络链接"** ;
* 能重现问题的 **"视频"** ;
* 能体现问题的 **"Gif动图"** ;
* 能重现问题 **"图片"** ;
* 能重现问题的 **"浏览器类型"** ;
* 能出现问题的 **"浏览器版本"** ;
* 能出现问题的 **"操作系统名称与版本"** ;

根据issue本身，maintainer或许依旧无法定位到问题本身或者无法对问题进行分类，在这种情况下，尽量为问题分类；如若依然不行，请友善的告知issue发起者，解释目前还不能分类的原因，请PR发起者是否可以更好的阐述问题。

## 2. 分类问题

一个Issue可以拥有以下一个或多个标签，特别的事，一个合理分类的问题应该拥有：

* 一个包含问题中的标签(`kind/*`)
* 一个或者多个代表问题领域的标签（`area/*`）

### 问题种类

| 种类             | 描述   |
|------------------|----------------------------|
| kind/bug         | 项目中存在的缺陷内容等    |
| kind/enhancement | 扩展不是缺陷，是需要完善的地方           |
| kind/feature     | 功能特性                       |
| kind/question    | 包含一个用户的问题 |

### 问题优先级

当且仅当一个问题被添加到了一个指定的milestone，那么问题可以添加以下的优先级标签来体现问题的紧急程度：

| 优先级    | 描述                       |
|-------------|---------|
| priority/P0 | 紧急: 安全性问题，严重的缺陷，严重的依赖性问题可能导致其他工作无法进展等。P0 基本上意味着你需要放下你所有的手头工作，来应对这样的问题。|
| priority/P1 | 重要: P1 优先级意味着这是一个高优先级而且在下一个版本中必须拥有的修复或者增强。            |
| priority/P2 | 正常: 默认的优先级.                         |
| priority/P3 | 最好拥有: 这些是原则上最好拥有的优先级   |

这些是每一个贡献者或者新的maintainer面对用户提出的issue，所要了解的所有内容。
